# Ricerca binaria in un vettore _ordinato_
# Svolto a lezione il giorno 12 novembre 2012
#
def search(v, s):
	size = len(v)

	# intervallo all'interno del quale cercare il valore
	start = 0
	stop = size - 1

	# meta` dell'intervallo, locazione in cui effettuero` il confronto
	m = (stop + start) // 2

	while stop >= start and v[m] != s:
#		print(m, start, stop)
		if s > v[m]:
			start = m + 1 # cerchero` oltre m
		else:
			stop  = m - 1 # cerchero` prima di m

		# ricalcolo la meta` del nuovo intervallo [start, stop]
		# per il confronto all'iterazione successiva
		#
		m = (stop + start) // 2
	
#	print(m, start, stop)

	# se stop >= start, allora il ciclo while sopra e` terminato
	# a causa di v[m] == s e questo significa che ho trovato il
	# valore
	#
	if stop >= start:
		print("Trovato")
	
	# altrimenti il ciclo while e` terminato a causa di stop < start
	# e quindi il valore non e` stato trovato
	else:
		print("Non trovato")


